Package org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl

## Class AbstractAccessorFactory

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl.AbstractAccessorFactory

All Implemented Interfaces:
  `IAccessorFactory`

Direct Known Subclasses:
  `ComparisonAccessorFactory`, `ContainmentReferenceChangeAccessorFactory`, `FeatureMapChangeMoveAccessorFactory`, `FeatureMapKeyChangeAccessorFactory`, `ManyStructuralFeatureAccessorFactory`, `MatchAccessorFactory`, `MatchResourceAccessorFactory`, `ResourceContentsAccessorFactory`, `SingleStructuralFeatureAccessorFactory`, `StringAttributeChangeAccessorFactory`

    public abstract class AbstractAccessorFactory
    extends Object
    implements IAccessorFactory

An abstract implementation of `IAccessorFactory`.

Since:
  4.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory.IAccessorFactory

`IAccessorFactory.Registry`

### Constructor Summary

Constructors
`AbstractAccessorFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRanking()` The ranking of the factory.
`void` `setRanking​(int r)` Set the ranking of the factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory.IAccessorFactory

`createAncestor, createLeft, createRight, isFactoryFor`

### Constructor Detail

#### AbstractAccessorFactory

    public AbstractAccessorFactory()

### Method Detail

#### getRanking

    public int getRanking()

The ranking of the factory.

Specified by:
  `getRanking` in interface `IAccessorFactory`
Returns:
  the ranking of the factory.
See Also:
  `IAccessorFactory.getRanking()`

#### setRanking

    public void setRanking​(int r)

Set the ranking of the factory.

Specified by:
  `setRanking` in interface `IAccessorFactory`
Parameters:
  `r` - the ranking value.
See Also:
  `IAccessorFactory.setRanking(int)`